# Bank Authorisation

Source: https://docs.gocardless.com/docs/api-reference/bank-authorisation

## Create a Bank Authorisation

`POST /bank_authorisations`

Create a Bank Authorisation.

### Request body

Wrap request body attributes in a `bank_authorisations` object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `redirect_uri` | string | No | URL that the payer can be redirected to after authorising the payment.  On completion of bank authorisation, the query parameter of either `outcome=success` or `outcome=failure` will be appended to the `redirect_uri` to indicate the result of the bank authorisation. If the bank authorisation is expired, the query parameter `outcome=timeout` will be appended to the `redirect_uri`, in which case you should prompt the user to try the bank authorisation step again.  Please note: bank authorisations can still fail despite an `outcome=success` on the `redirect_uri`. It is therefore recommended to wait for the relevant bank authorisation event, such as [`BANK_AUTHORISATION_AUTHORISED`](#billing-request-bankauthorisationauthorised), [`BANK_AUTHORISATION_DENIED`](#billing-request-bankauthorisationdenied), or [`BANK_AUTHORISATION_FAILED`](#billing-request-bankauthorisationfailed) in order to show the correct outcome to the user.  The BillingRequestFlow ID will also be appended to the `redirect_uri` as query parameter `id=BRF123`.  Defaults to `https://pay.gocardless.com/billing/static/thankyou`. |
| `links` | object | No |  |

### Responses

| Status | Description |
| --- | --- |
| 201 | Resource created successfully |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## Get a Bank Authorisation

`GET /bank_authorisations/{bank_authorisation_id}`

Get a single bank authorisation.

### Parameters

| Name | Location | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `bank_authorisation_id` | path | string | Yes | The bank authorisation id |

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
